package com.qmth.teachcloud.common.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelImportTempleteVaild;
import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 系统用户导入Dto
 * @Author: CaoZixuan
 * @Date: 2021-08-12
 */
@ExcelImportTempleteVaild(value = true)
public class SysUserImportDto implements Serializable {

    @ExcelNote(value = "姓名")
    @NotNull
    private String name;

    @ExcelNote(value = "工号")
    @NotNull
    private String code;

    @ExcelNote(value = "手机号")
    private String phoneNumber;

    @ExcelNote(value = "组织架构")
    @NotNull
    private String orgName;

    @ExcelNote(value = "角色")
    @NotNull
    private String roleName;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }
}
